import 'package:connectivity/connectivity.dart';
import 'package:flutter/material.dart';
import 'package:flutter_easy_utils/flutter_easy_utils.dart';

class UtilsProvider extends ChangeNotifier{
  bool noInternet = false;
  bool noInternetDialogShowed = false;

  initInternet(context){
    checkInternet(context);
    addInternetListener(context);
    //initNotifications(context);
  }

  addInternetListener(context){
    Connectivity().onConnectivityChanged.listen((ConnectivityResult result) {
      if (result == ConnectivityResult.none) {
        noInternet = true;
        noInternetDialog(context);
        noInternetDialogShowed = true;
      } else {
        noInternet = false;
        if(noInternetDialogShowed){
          Navigator.pop(context);
        }
      }
    });
  }

  checkInternet(context) {
    Connectivity().checkConnectivity().then((ConnectivityResult result) {
      if (result == ConnectivityResult.none) {
        noInternet = true;
        noInternetDialog(context);
        noInternetDialogShowed = true;
      } else {
        noInternet = false;
        if(noInternetDialogShowed){
          Navigator.pop(context);
        }
      }
    });
  }

}