import 'package:admob_flutter/admob_flutter.dart';
import 'package:ez_localization/ez_localization.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter_easyloading/flutter_easyloading.dart';
import 'package:flutter_easy_utils/src/utils/Dialogs.dart';
import 'package:flutter_easy_utils/src/utils/utils.dart';

/// show ad banner
/// banner size , reward id
adBanner(
    {bannerSize: AdmobBannerSize.BANNER,
    id: "ca-app-pub-3940256099942544/6300978111"}) {
  return AdmobBanner(
    adUnitId: id,
    adSize: bannerSize,
  );
}

/// show ad with reward
/// context , reward id , function callback
adReward(context,
    {id: "ca-app-pub-3940256099942544/5224354917", Function callback}) {
  AdmobReward reward;

  heartDialog(context);

  reward = new AdmobReward(
    adUnitId: id,
    listener: (AdmobAdEvent event, Map<String, dynamic> args) {
      switch (event) {
        case AdmobAdEvent.loaded:
          reward.show();
          break;
        case AdmobAdEvent.closed:
          Navigator.pop(context);
          break;
        case AdmobAdEvent.failedToLoad:
          EasyLoading.showError(EzLocalization.of(context).get("load_error"));
          Navigator.pop(context);
          break;
        case AdmobAdEvent.rewarded:
          if (callback != null) {
            callback();
          }
          break;
      }
    },
  );

  reward.load();
}

/// show ad full screen
/// context , reward id , placeholder localization key for showing ad alert
adFull(context,
    {id: "ca-app-pub-3940256099942544/1033173712", placeholderKey: "ad"}) {
  AdmobInterstitial full;

  EasyLoading.showInfo(tran(context, placeholderKey));

  full = new AdmobInterstitial(
    adUnitId: id,
    listener: (AdmobAdEvent event, Map<String, dynamic> args) {
      switch (event) {
        case AdmobAdEvent.loaded:
          full.show();
          break;
        case AdmobAdEvent.closed:
          break;
        case AdmobAdEvent.failedToLoad:
          EasyLoading.showError(EzLocalization.of(context).get("load_error"));
          break;
      }
    },
  );

  full.load();
}
